# Copyright by DIGITEC 2017

eval "$(univention-config-registry shell)"

removeOxCap () {
    CAP=oxCapability-$1
    if ! shift 1
    then
        echo "removeOxCap: wrong number of arguments" >&2
        return 2
    fi
    /opt/open-xchange/sbin/allpluginsloaded
    udm users/user list "$@" --filter $CAP=1 |grep DN: |sed -e 's/DN: //' |\
    while IFS= read -r dn 
    do
		ldapmodify -x -D "cn=admin,$ldap_base" -w "$(cat /etc/ldap.secret)" <<EOF
dn: $dn
changetype: modify
delete: ${CAP}
EOF
    done
}
